package org.eucalyptus.analysesi.gui.action;

import java.awt.event.ActionEvent;

import org.eucalyptus.analysesi.gui.AnalyseSIFrame;
import org.eucalyptus.analysesi.gui.Messages;
import org.eucalyptus.egt.loader.ImageLoader;

/**
 * Affiche la fenêtre A Propos
 * 
 * @author Loic Dreux
 */
public class AboutAction extends AnalyseSIAction {
	/**
	 * Le constructeur {@link QuitAction}.
	 * 
	 * @param analyseSIFrame
	 *            La fenêtre principale d'AnalyseSI
	 */
	public AboutAction(AnalyseSIFrame analyseSIFrame) {
		super(
				analyseSIFrame,
				Messages.getString("AnalyseSIActionsCollection.about"), Messages.getString("AnalyseSIActionsCollection.aboutLong"), CommandKey.ABOUT.name(), ImageLoader //$NON-NLS-1$ //$NON-NLS-2$
						.getInstance().getIcon(
								"tango/22x22/apps/help-browser.png"), 0, null);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {
		super.actionPerformed(e);

		getAnalyseSIFrame().getAboutWindow().setVisible(true);
	}
}
