package org.eucalyptus.analysesi.gui.action;

import java.awt.event.ActionEvent;

import javax.swing.JOptionPane;

import org.eucalyptus.analysesi.gui.AnalyseSIFrame;
import org.eucalyptus.analysesi.gui.Messages;

/**
 * Ouvre la fenêtre de Reverse Engineering
 *
 * @author Loic Dreux
 */
public class OpenReverseDialog extends AnalyseSIAction {
	/**
	 * Le constructeur {@link QuitAction}.
	 * 
	 * @param analyseSIFrame
	 *            La fenêtre principale d'AnalyseSI
	 */
	public OpenReverseDialog(AnalyseSIFrame analyseSIFrame) {
		super(analyseSIFrame,
				Messages.getString("OpenReverseDialog.reverseEngineering"), Messages.getString("OpenReverseDialog.reverseEngineeringLong"), //$NON-NLS-1$ //$NON-NLS-2$
				CommandKey.OPEN_REVERSE_DIALOG.name(), null, 0, null);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	@Override
	public void actionPerformed(ActionEvent e) {		
		if (getAnalyseSIApplication().getDbManager().getJdbcDrivers().size() == 0) {
			JOptionPane
					.showMessageDialog(getAnalyseSIFrame(),
							Messages.getString("ReverseDialog.noJdbcDriver"), //$NON-NLS-1$
							getAnalyseSIApplication().getName(),
							JOptionPane.ERROR_MESSAGE);
			return;
		}
		getAnalyseSIFrame().getReverseDialog().setVisible(true);
	}
}
