/*
 * 05/16/2003 - 10:59:02
 * 
 * Utilities.java - Copyright (C) 2003 Dreux Loic dreuxl@free.fr
 * 
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place - Suite 330, Boston, MA 02111-1307, USA.
 */

package org.eucalyptus.analysesi.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.IOException;
import java.io.InputStreamReader;

public class Utilities
{
    public static final int UPPER = 0;

    public static final int LOWER = 1;

    public static final int NONE = 2;

    /**
     * Charge un fichier texte interne au programme.
     * 
     * @param filename
     *            str du fichier texte
     */
    public static String getText(String filename, Class<?> source)
    {
        int nb;
        char[] buffer = new char[1024];

        try {
            BufferedReader reader = new BufferedReader(new InputStreamReader(
                    source.getResource(filename).openStream()));
            StringBuffer res = new StringBuffer();

            while ((nb = reader.read(buffer, 0, 1024)) >= 0) {
                res.append(buffer, 0, nb);
            }

            return res.toString();
        } catch (IOException e) {
            System.err.println(e);
        } catch (NullPointerException e) {
            return null;
        }

        return null;
    }

    /**
     * Récupère l'extension d'un fichier.
     */
    public static String getExtension(String filename)
    {
        int i = filename.lastIndexOf('.');
        int j = filename.lastIndexOf(File.separatorChar);

        return (i > 0 && i > j && i < filename.length() - 1) ? filename
                .substring(i + 1).toLowerCase() : "";
    }

    public static String replaceExtension(String filename, String newExtention)
    {
        int i = filename.lastIndexOf('.');

        return (i > 0 && i < filename.length() - 1) ? filename.substring(0,
                i + 1)
                + newExtention : filename;
    }

    public static String addressFichier(String addresse, String str)
    {
        StringBuffer res = new StringBuffer();
        for (int i = 0; i < addresse.length() - str.length(); i++) {
            res.append(addresse.charAt(i));
        }
        return res.toString();
    }

    public static String normaliseString(String str, int upperLowerCase)
    {
        return str;
    }

    public static String retourLigne()
    {
        return "\r\n\r\n";
    }
}